Recordad que para pedir soporte alguno, debéis facilitar los datos de soporte oportunos por favor, mirad aquí y leer las Normas generales del foro, esto nos servirá de ayuda para dar el mejor soporte..

Gracias.

La Administración de phpBB España.

Actualizando de 3.3.0 a 3.3.1 (Problema al hacerlo)

Foros de soporte phpBB 3.3


Avatar de Usuario
jorup16
Avanzado/a
Mensajes: 493
Registrado: 21 Abr 2007, 03:10
Género:
Edad: 33

Actualizando de 3.3.0 a 3.3.1 (Problema al hacerlo)

#1

Mensaje por jorup16 »

Hola a todos en esta gran comunidad, resulta ser que tengo un error que seguramente es hasta de novato en phpBB pero me está quebrando la cabeza jaja...

Primero quise actualizar con el método de "Actualización Automática" pero recibía un error que hay 3 archivos que ya no existen en la nueva versión y bla bla y que debía de borrarlos, entonces lo hice manualmente y la realidad es que después me decía que había detectado un tiempo...

Intenté hacerlo dos veces de igual forma y me encontré el mismo problema. Ahora lo quise hacer de la forma de "instalación completa", me descargué el paquete completo en español desde este sitio y pues procedí a subirlo (siempre siguiendo estas instrucciones: Actualizando phpBB 3.2.x ) pero me vuelve a aparecer lo mismo que tengo esos 3 archivos y lo del tiempo...

Me fui a mi FTP y me puse a ver si por alguna extraña razón tenía esos archivos y no los tengo (se suponía que había subido la última versión 3.3.1 y así fue), aquí dejo las imágenes...

Imagen

Imagen

Seguramente tiene alguna solución fácil pero no quiero seguir tocando nada para no causar un posible daño, mejor esperaré su valiosa ayuda y desde ya muchas gracias.

Y antes que se me olvide... estas son las extensiones que tengo instaladas...

Imagen

Las voy a transcribir a mi firma... :lol:



URL: http://www.fifa-xgamers.com
Versión phpBB: phpBB 3.3.0
EXts Instaladas:

Spoiler

Plantilla(s) usada(s): Milk v2
Servidor: Linux (Namecheap.com) de pago
Actualización desde otra versión: 3.2.x a 3.3.x
Conversión desde otro sistema de foros: Ninguna

Avatar de Usuario
andares
Moderador
Mensajes: 1409
Registrado: 18 Nov 2008, 03:32
Género:
Edad: 54

Actualizando de 3.3.0 a 3.3.1 (Problema al hacerlo)

#2

Mensaje por andares »

Hola,

Totalmente desaconsejable utilizar la "actualización automática", mejor y mas seguro utiliza para ello el paquete completo, desde la guia en ese enlace que has puesto, o bien utilizar el paquete de archivos cambiados.

Para cada intento fallido de actualización, en tu servidor hay que borrar la carpeta "installer" ubicada en la carpeta "cache" y desde la carpeta "store" hay que borrar "io_lock.lock" y los archivos "migrations_x.log".

Tus extensiones, a vista de pájaro...revisa por que tienes algunas sin actualizar, creo que funcionan bien con 3.3.1,

Avatar de Usuario
jorup16
Avanzado/a
Mensajes: 493
Registrado: 21 Abr 2007, 03:10
Género:
Edad: 33

Actualizando de 3.3.0 a 3.3.1 (Problema al hacerlo)

#3

Mensaje por jorup16 »

Ya hice eso de borrar las carpetas pero pues me sigue apareciendo lo mismo... Las extensiones no me aparecido el mensaje de que estén desactualizadas pero de igual forma primero quiero actualizar a 3.3.1 antes de tocar las extensiones.

¿Qué más podría hacer para solucionar esto?

EDITO: Como tenía una copia de seguridad pues la apliqué y ahora utilicé el sistema de Softacolous para hacer la actualización (tal vez no debería de usarlo) pero pues quería tener una "segunda opinión" con respecto a esto jaja y al final de cuentas me sale el mismo error y la copia de seguridad que tenía era desde antes de intentar hacer la primera actualización automática que hice (la que hice subiendo los archivos descargados).

URL: http://www.fifa-xgamers.com
Versión phpBB: phpBB 3.3.0
EXts Instaladas:

Spoiler

Plantilla(s) usada(s): Milk v2
Servidor: Linux (Namecheap.com) de pago
Actualización desde otra versión: 3.2.x a 3.3.x
Conversión desde otro sistema de foros: Ninguna

Avatar de Usuario
andares
Moderador
Mensajes: 1409
Registrado: 18 Nov 2008, 03:32
Género:
Edad: 54

Actualizando de 3.3.0 a 3.3.1 (Problema al hacerlo)

#4

Mensaje por andares »

andares escribió:
10 Sep 2020, 17:31

Para cada intento fallido de actualización, en tu servidor hay que borrar la carpeta "installer" ubicada en la carpeta "cache" y desde la carpeta "store" hay que borrar "io_lock.lock" y los archivos "migrations_x.log".

...ademas en "store" borra tambien el archivo "install_config.php".

Desde la carpeta "cache", ademas de "installer", borra tambien la carpeta "production".

Deberia ir...

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1054
Registrado: 14 Ene 2017, 22:18
Género:

Actualizando de 3.3.0 a 3.3.1 (Problema al hacerlo)

#5

Mensaje por AbaddonOrmuz »

jorup16 escribió:
10 Sep 2020, 19:05

ahora utilicé el sistema de Softacolous para hacer la actualización (tal vez no debería de usarlo)

Sería recomendado no hacerlo, por ello de que algunos archivos pudieran haber sido modificados por Softaculous, que de hecho ha dado problemas anteriormente.

Para corregir el error de "tiempo de espera agotado" puedes intentar modificar algunas directivas de PHP a través del panel de control de tu hosting. Consulta con soporte técnico si no tienes muy claro como hacerlo.

Las directivas en cuestión son:

Código: Seleccionar todo

max_execution_time=60
max_input_time=60

Con 60 segundos debería ser suficiente, o puedes intentar aumentarlos al doble, solo no hay que exagerar colocando un numero demasiado grande, porque podría ser perjudicial.

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:

Avatar de Usuario
jorup16
Avanzado/a
Mensajes: 493
Registrado: 21 Abr 2007, 03:10
Género:
Edad: 33

Actualizando de 3.3.0 a 3.3.1 (Problema al hacerlo)

#6

Mensaje por jorup16 »

Supongo que eso de cambiar las directivas es esto mismo...

Imagen

Porque ahí marca 1500 (yo no he tocado ningún valor de esos anteriormente)

:angel:

URL: http://www.fifa-xgamers.com
Versión phpBB: phpBB 3.3.0
EXts Instaladas:

Spoiler

Plantilla(s) usada(s): Milk v2
Servidor: Linux (Namecheap.com) de pago
Actualización desde otra versión: 3.2.x a 3.3.x
Conversión desde otro sistema de foros: Ninguna

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1054
Registrado: 14 Ene 2017, 22:18
Género:

Actualizando de 3.3.0 a 3.3.1 (Problema al hacerlo)

#7

Mensaje por AbaddonOrmuz »

Con esos valores debería ser más que suficiente, aunque podrías corroborar que esos valores sean realmente los que phpBB lee, porque es posible tener múltiples versiones de PHP, asignar una distinta según el directorio, y cada versión tiene su propia configuración.

Imagen

Si tienes acceso a la terminal desde cPanel o tu plan de hosting ofrece la posibilidad de configurar el acceso por SSH, podrías intentar hacerlo por la línea de comandos, que suele ser más rápido y no tienes esos problemas.

Solo es cuestión de copiar los nuevos archivos como lo indica la guía del paquete completo, y ejecutar algo como lo siguiente desde la raíz del foro:

Código: Seleccionar todo

php bin/phpbbcli.php db:migrate --safe-mode

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:

Avatar de Usuario
jorup16
Avanzado/a
Mensajes: 493
Registrado: 21 Abr 2007, 03:10
Género:
Edad: 33

Actualizando de 3.3.0 a 3.3.1 (Problema al hacerlo)

#8

Mensaje por jorup16 »

Esto me sale:

Imagen

AbaddonOrmuz escribió:
16 Sep 2020, 19:30

Si tienes acceso a la terminal desde cPanel o tu plan de hosting ofrece la posibilidad de configurar el acceso por SSH, podrías intentar hacerlo por la línea de comandos, que suele ser más rápido y no tienes esos problemas.

Solo es cuestión de copiar los nuevos archivos como lo indica la guía del paquete completo, y ejecutar algo como lo siguiente desde la raíz del foro:

Supongo que te refieres a esta parte...

Imagen

E imagino que debo de darle activar SSH

Imagen

¿Y luego que opción debería de elegir? ¿Alguna guía para ejecutar la línea de código que dices?

URL: http://www.fifa-xgamers.com
Versión phpBB: phpBB 3.3.0
EXts Instaladas:

Spoiler

Plantilla(s) usada(s): Milk v2
Servidor: Linux (Namecheap.com) de pago
Actualización desde otra versión: 3.2.x a 3.3.x
Conversión desde otro sistema de foros: Ninguna

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1054
Registrado: 14 Ene 2017, 22:18
Género:

Actualizando de 3.3.0 a 3.3.1 (Problema al hacerlo)

#9

Mensaje por AbaddonOrmuz »

jorup16 escribió:
16 Sep 2020, 20:58

Esto me sale:

Allí había que buscar las directivas que comenté en mi anterior mensaje.

jorup16 escribió:
16 Sep 2020, 20:58

¿Y luego que opción debería de elegir? ¿Alguna guía para ejecutar la línea de código que dices?

Para ejecutar los comandos? pues realmente es escribir el comando... y ya :nolose:

Código: Seleccionar todo

cd /ruta_de_tu_foro/
php bin/phpbbcli.php db:migrate --safe-mode

Si te refieres al script, se encuentra (en inglés) en el siguiente enlace:

Ahora que si te refieres al manejo de SSH, es más sencillo que consultes con alguna página de ayuda que te ofrezca tu proveedor de hosting o consultes en internet, porque es necesario aprender varios conceptos que darían para varios mensajes.

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:

Avatar de Usuario
jorup16
Avanzado/a
Mensajes: 493
Registrado: 21 Abr 2007, 03:10
Género:
Edad: 33

Actualizando de 3.3.0 a 3.3.1 (Problema al hacerlo)

#10

Mensaje por jorup16 »

No sé que sucede, le pedí al soporte del hosting que realizara los cambios de actualización por mí, que viera lo del tiempo de espera y todo eso... resulta ser que estuve en línea por 1 hora en el chat y al final de cuentas no pudo el de soporte jaja me terminó enviando este link:

https://www.phpbb.com/community/viewtop ... #p14924191

Me pidieron permiso para modificar el tiempo de espera, modificar el php.ini, para revisar los archivos y un montón de cosas más... y nada.

Igual voy a leer con atención lo que dice el link.

URL: http://www.fifa-xgamers.com
Versión phpBB: phpBB 3.3.0
EXts Instaladas:

Spoiler

Plantilla(s) usada(s): Milk v2
Servidor: Linux (Namecheap.com) de pago
Actualización desde otra versión: 3.2.x a 3.3.x
Conversión desde otro sistema de foros: Ninguna

  • Temas similares
    Respuestas
    Vistas
    Último mensaje

Volver a “🔎 Foros de Soporte 3.3”